LMDE and Dropbox

Questions about applications and software
Forum rules
Before you post please read how to get help

LMDE and Dropbox

Postby magian on Fri Sep 10, 2010 12:16 pm

Anybody get Dropbox to play nicely with LMDE?

I get "Error: Dependency is not satisfiable: libnautilus-extension1 (>= 1:2.22.2)".

Anybody find a workaround?
magian
Level 1
Level 1
 
Posts: 22
Joined: Sun Oct 28, 2007 7:55 am

Linux Mint is funded by ads and donations.
 

Re: LMDE and Dropbox

Postby proxima_centauri on Fri Sep 10, 2010 12:26 pm

Are you getting Dropbox from the repos? an external deb? from source?
User avatar
proxima_centauri
Level 11
Level 11
 
Posts: 3976
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: LMDE and Dropbox

Postby magian on Fri Sep 10, 2010 12:46 pm

proxima_centauri wrote:Are you getting Dropbox from the repos? an external deb? from source?


I am getting the latest .deb download from the Dropbox website. As it is specifically packaged for Ubuntu, I imagine the version of libnautilus-extension1 is was expecting is older than what is available in Debian Testing.

Just wondered if anybody found a solution or alternative install method that allows for proper Nautilus integration. :?:
Last edited by magian on Fri Sep 10, 2010 12:50 pm, edited 1 time in total.
magian
Level 1
Level 1
 
Posts: 22
Joined: Sun Oct 28, 2007 7:55 am

Re: LMDE and Dropbox

Postby proxima_centauri on Fri Sep 10, 2010 12:49 pm

From what I see on the Dropbox website, it seems you downloaded the Ubuntu .deb correct? The Ubuntu .deb is not compatible with Debian, you need to install from source.
User avatar
proxima_centauri
Level 11
Level 11
 
Posts: 3976
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: LMDE and Dropbox

Postby magian on Fri Sep 10, 2010 12:53 pm

proxima_centauri wrote:From what I see on the Dropbox website, it seems you downloaded the Ubuntu .deb correct? The Ubuntu .deb is not compatible with Debian, you need to install from source.


Yeah, I was hoping to avoid that as it is quite behind in development version. I was hoping somebody knew of a recent DEB package for Debian. Anywho, thanks for your time.

EDIT: actually "libnautilus-extension" is completely missing and it won't even compile from source....grrrrrr.... :evil:
magian
Level 1
Level 1
 
Posts: 22
Joined: Sun Oct 28, 2007 7:55 am

Re: LMDE and Dropbox

Postby proxima_centauri on Fri Sep 10, 2010 1:00 pm

You need libnautilus-extension-dev and libnotify-dev.
The source version and deb version look like the same version to me, dropbox v0.6.3
User avatar
proxima_centauri
Level 11
Level 11
 
Posts: 3976
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: LMDE and Dropbox

Postby msuggs on Fri Sep 10, 2010 1:03 pm

magian wrote: I was hoping somebody knew of a recent DEB package for Debian. :


sudo apt-get install dropbox.

Not quite the same integration with nautilus but works just as effectively :)
msuggs
Level 5
Level 5
 
Posts: 882
Joined: Thu Jul 10, 2008 8:25 am
Location: non-local

Re: LMDE and Dropbox

Postby proxima_centauri on Fri Sep 10, 2010 1:05 pm

There ya go, omns for the win. :D
User avatar
proxima_centauri
Level 11
Level 11
 
Posts: 3976
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: LMDE and Dropbox

Postby secipolla on Fri Sep 10, 2010 1:10 pm

For lighter desktops (like LXDE and Fluxbox) see http://antix.freeforums.org/post16439.h ... box#p16439
secipolla
Level 4
Level 4
 
Posts: 356
Joined: Sun Sep 05, 2010 5:19 pm

Re: LMDE and Dropbox

Postby magian on Fri Sep 10, 2010 1:11 pm

omns wrote:
magian wrote: I was hoping somebody knew of a recent DEB package for Debian. :


sudo apt-get install dropbox.

Not quite the same integration with nautilus but works just as effectively :)


Good deal, thanks omns. Had no idea it was in the repos.
magian
Level 1
Level 1
 
Posts: 22
Joined: Sun Oct 28, 2007 7:55 am

Re: LMDE and Dropbox

Postby sgosnell on Sun Sep 12, 2010 7:27 pm

I installed the Ubuntu version from Dropbox, since I already had it on hand. It demanded the libnautilus-extension1 library, which I also had on hand, and installed. Dropbox then installed, but it killed Nautilus. Now Nautilus won't run at all, and attempting to uninstall libnautilus1 tries to uninstall almost everything on the system. Anyone have any advice on this?

Update: I let it uninstall everything it wanted, reinstalled everything which was removed, and now Nautilus and Dropbox work fine. I still haven't done any syncing, but so far so good, using libnautilus-extension1 and dropbox from the Debian repository.
Asus eee-pc 900 w/ 32GB SSD.
sgosnell
Level 5
Level 5
 
Posts: 686
Joined: Fri Sep 10, 2010 9:32 pm
Location: Baja Oklahoma

Re: LMDE and Dropbox

Postby lucho_elmillo on Sun Sep 12, 2010 11:40 pm

I found these on the dropbox forums:

http://forums.dropbox.com/topic.php?id=15492
User avatar
lucho_elmillo
Level 2
Level 2
 
Posts: 98
Joined: Tue Jul 24, 2007 12:02 am

Re: LMDE and Dropbox

Postby Teucca on Mon Sep 13, 2010 12:34 am

I install it from synaptic and work propertly :D

http://linuxmint-fi.info/lmde-dropbox/
Last edited by Teucca on Wed Jun 29, 2011 3:57 am, edited 2 times in total.
Linux Mint Suomi guide
MINT is an easy, logical, adaptable, inspiring, user-friendly operating system.
The changes are new opportunities
Help Site Instructions
Teucca
Level 2
Level 2
 
Posts: 76
Joined: Sat Sep 26, 2009 3:06 pm
Location: Helsinki (gothenburgh)

Re: LMDE and Dropbox

Postby Emad78 on Wed Sep 15, 2010 8:33 pm

CO2 wrote:I install it from synaptic and work propertly :D


Worked perfect for me also, from synaptic. Not a problem.
Emad78
Level 1
Level 1
 
Posts: 4
Joined: Tue Aug 25, 2009 9:04 pm

Re: LMDE and Dropbox

Postby wyldekey on Wed Sep 15, 2010 9:35 pm

Yes, I also installed it with synaptic and it works great. Version 0.7.110.
We're inevitably imprisoned by what we believe.
wyldekey
Level 3
Level 3
 
Posts: 113
Joined: Thu Dec 25, 2008 2:19 pm
Location: Bergen, New York

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 7 guests